﻿using System;

namespace DateTimeStudy
{
    /// <summary>
    /// DateTimeOffset 学习
    /// </summary>
    public static class DateTimeOffsetStudy
    {
        #region 创建
        /// <summary>
        ///  无参默认
        /// </summary>
        public static DateTimeOffset CreateDateTimeOffset()
        {
            DateTimeOffset myTime = new DateTimeOffset();

            return DateTimeOffset.Now;
        }

        /// <summary>
        ///  DateTime 做参数
        /// </summary>
        public static DateTimeOffset CreateDateTimeOffset(DateTime sourceDateTime)
        {
            DateTimeOffset myTime = new DateTimeOffset(sourceDateTime);

            return  DateTimeOffset.Now;
        }

        #endregion

        #region 获取常见时间

        /// <summary>
        /// 获取当前时间
        /// </summary>
        /// <returns></returns>
        public static DateTimeOffset GetNow()
        {
            return DateTimeOffset.Now;
        }


        #endregion
    }
}
